Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class WebappNodeResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource
              com.bea.p13n.entitlements.resource.WebappNodeResource

All Implemented Interfaces
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

    public class WebappNodeResource

extends P13nResource

The WebappNodeResource class is used to represent an application defined resource hierarchy (taxonomy). It is not used to locate P13n roles and policies (see `WebappRoleResource` instead.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty, idDelimiter, initialCapability, libraryResourceId`

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`WebappNodeResource(String entAppName, String webAppName, String appResourceID, String capability)` Construct a resource whose role policies will be scoped at the web application level

Method Summary
`int` | `getResourceScope()` Return the resource type of this class.
`Resource` | `makeParent()` Make and return the logical hierarchical parent of this `Resource`

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getLibraryResourceId, getParentResource, getResourceName, getSecurityResource, getType, getWebAppName, setInitialValues, setSecurityResource, toString`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, isTransitiveField, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebappNodeResource

    public WebappNodeResource(String entAppName,
                              String webAppName,
                              String appResourceID,
                              String capability)

  Construct a resource whose role policies will be scoped at the web application level

  Parameters
    `entAppName` - Enterprise application name.
    `webAppName` - Webapp name.
    `appResourceID` - Currently unused.
    `capability` - Currently unused.

Method Detail

### makeParent

    public Resource makeParent()

  Description copied from class: `P13nResource`
  Make and return the logical hierarchical parent of this `Resource`

  Overrides:
    `makeParent` in class `P13nResource`
  Returns
    Resource represents the logical parent. Null represents the root of a hierarchy.

### getResourceScope

    public final int getResourceScope()

  Return the resource type of this class. Note: this resource shares the WEBAPP_ROLE_INHERITANCE constant to allow migration of resources stored against the `WebappRoleResource`

  Specified by:
    `getResourceScope` in class `P13nResource`
  Returns
    EntitlementConstants.WEBAPP_ROLE_INHERITANCE.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved